Subject: Re: bug#78937: Emacs crashes when trying to view fonts by family

From: "Paul Walker" <[email-masked]>
Date: Wed, 02 Jul 2025 13:44:43 +0100

On Tue, 1 Jul 2025, at 4:04 PM, Eli Zaretskii wrote:

> Thanks.  Sounds like X-specific.  The font selection dialog I get on
> Windows doesn't have the "by family" thing.

Yes, it's not in the Windows version. In fact it's not in the FreeBSD packaged version, now that I check.

I've just tried, and:

a - that menu option seems to be linked to the Lucid toolkit (it appeared in FBSD when I rebuilt Emacs to use Lucid)
b - it doesn't crash under FreeBSD, using the same X display/server (MobaXterm)

I can understand then if this isn't going to be high priority. :-)

> Which Emacs crash text are you alluding to?

Looks like I'd misremembered the source (too much digging through different things); it's the text in the email composed by report-emacs-bug:

==
If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
'bt full' and 'xbacktrace'.
==

I didn't realise there was a .gdbinit file in emacs/src, so I ran it from my home directory and (oddly enough) xbacktrace wasn't found.

-- 
Paul